Bug 51752 - gnorpm and rpm failure after StarOffice, then IBMjava2 install + rebuilddb
gnorpm and rpm failure after StarOffice, then IBMjava2 install + rebuilddb
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-14 15:00 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-14 16:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-14 15:00:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Description:
GnoRPM and rpm crashe with a segmentation fault, consistently, after using
gnorpm for:
        - installing StarOffice-5.2_34_569a20-2-2.i386 (accidentally)
        - uninstalling it
        - installing  StarOffice-5.2_01_569a19-2.i386
        - installing IBMJava2-JRE-1.3-7.0.i386
In addition, some applets installed on the panel no longer launch the
associated apps...

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
(haven't been able to restore rpm in order to reproduce it)
1. use GnoRPM to install StarOffice spanish edition; say "oops"
2. use ditto do uninstall ditto
3. use ditto to install the English version of ditto; English version, when
it configures itself with first use complains that there's no java runtime
engine available
4. use GnoRPM to install IBMJava2-JRE
5. try to use GnoRPM for anything -> segmentation fault
6. run rpm --rebuilddb
7. try to use either GnoRPM or rpm -> segmentation fault
8. try to launch Applix component from launcher on the panel; nothing
happens
9+. Most commands to rpm segfault (see below)
	

Actual Results:  Well, I can't; rpm hasn't been reinstalled

Additional info:

rpm -qa segfaults after rpm --rebuilddb:
(long list that ends as follows):
...
mtools-3.9.7-4
jpilot-0.99-1
powertweak-extra-0.99.0-8
powertweak-text-0.99.0-8
xdosemu-1.0.1-6
mouseconfig-4.22-1
up2date-2.5.4-1
shelf-bin-shelf-gtk-2.2-1315
applix-bin-applixware-base-5.00-1315
applix-bin-gr-base-5.00-1315
applix-bin-rt-base-5.00-1315
applix-bin-spell-base-5.00-1315
applix-bin-ttfonts-base-5.00-1315
applix-bin-office-base-5.00-1315
applix-eng-applixware-rsrc-5.00-1315
applix-eng-gr-help-5.00-1315
applix-eng-sm-rsrc-5.00-1315
applix-eng-ss-rsrc-5.00-1315
applix-eng-wp-rsrc-5.00-1315
shelf-eng-shelf-rsrc-2.2-1315
shelf-eng-shelf-help-2.2-1315
acroread-4.05-6
Segmentation fault (core dumped)
Comment 1 Jeff Johnson 2001-08-14 15:49:54 EDT
What version of rpm?
What version of gnorpm?
Comment 2 Need Real Name 2001-08-14 16:29:33 EDT
RPM version 4.0.2
gnorpm-0.96-1
Comment 3 Jeff Johnson 2002-06-21 15:49:50 EDT
I believe this problem is fixed if you upgrade to
rpm-4.0.4 from Red Hat 7.3. Please reopen if I'm wrong.

(Assuming you still have the problem).

Note You need to log in before you can comment on or make changes to this bug.